<?php
/**
 * @package   Switips
 * @author    Outcode https://outcode.ru/
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

class SwitipsControllerMain extends JControllerLegacy
{
  
  public $redirect_main = 'index.php?option=com_switips';

  function __construct($config = array()){
    parent::__construct( $config );
    $this->registerTask('apply', 'save');
  }
  
  function display($cachable = false, $urlparams = false){  

    $params = JComponentHelper::getParams('com_switips');

    $view = $this->getView('switips', 'html');
    $view->setLayout('main');
    $view->assign('sw_status', $params->get('sw_status', 0));
    $view->assign('url_api', $params->get('url_api', ''));
    $view->assign('key_api', $params->get('key_api', ''));
    $view->assign('merchant_id', $params->get('merchant_id', ''));
    $view->displayMain(); 
  }
  
  public function save(){
    if ($this->checkToken['save']){
      JSession::checkToken() or die('Invalid Token');
    }

    $params = JComponentHelper::getParams('com_switips');

    $params->set('sw_status', $this->input->get('sw_status', ''));
    $params->set('url_api', $_POST['url_api']);
    $params->set('key_api', $this->input->get('key_api', ''));
    $params->set('merchant_id', $this->input->get('merchant_id', ''));
    
    $componentid = JComponentHelper::getComponent('com_switips')->id;
    $table = JTable::getInstance('extension');
    $table->load($componentid);
    $table->bind(array('params' => $params->toString()));
    $table->check();
    $table->store();

    $this->setRedirect($this->redirect_main);
  }
  
}